/**
 * @name
 *全局配置文件 
 * 
 */


let baseURL = "https://" + window.location.host;
let env = 'dev'
if (window.location.protocol != "https:") {
	env = "dev";
	baseURL = 'https://fpdev.xiaopay.net'
}
if (window.location.host == 'fpdev.xiaopay.net') {
	env = "dev";
	baseURL = 'https://fpdev.xiaopay.net'
}
if (window.location.host == 'uat.xiaopay.net') {
	env = "test";
	baseURL = 'https://uat.xiaopay.net'
}
if (window.location.host == 'pay.xiaopay.net') {
	env = "product";
	baseURL = 'https://pay.xiaopay.net'
}
const ServiceEnum = {
	Auth1: '1001', //'消费方式-刷脸模式',
	Auth2: '1002', //'消费周报/月报',
	Auth3: '1003', //'消费方式-刷卡模式',
	Auth4: '1004', //'扣款方式-微信代扣',
	Auth5: '1005', //'扣款方式-钱包代扣',
	Auth6: '1006', //'在线充值',
	Auth7: '1007', //'微信垫资',
	Auth8: '1008', //'家长自定义限额',
	Auth9: '1009', //'微信公众号推送',
	Auth10: '1010', //'消费记录明细',
	Auth11: '1011', //'每日异常小报告'
}
const json = {
	env,
	baseURL,
	ServiceEnum
}
export default json;